Run eBay Seller Feedback
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-ebay-seller-feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seller": "cocosmartphones",
"max_items": 25
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-ebay-seller-feedback"
payload = {
"seller": "cocosmartphones",
"max_items": 25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({seller: 'cocosmartphones', max_items: 25})
};
fetch('https://api.neuralverge.ai/functions/v1/run-ebay-seller-feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "ebay_seller_feedback",
"seller": "musicmagpie",
"max_items": 2,
"start_page": 1,
"human": "# eBay seller feedback\n\n- **Seller:** musicmagpie\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 26.1 KB",
"machine": {
"total_items": 2,
"feedback": [
{
"id": "2905112129019",
"rating": "positive",
"text": "Item received 21 JulyTuesday and is as described, very good price and well packaged. MM kept me well informed until RM took over , still it was only 4 days Still full marks to the seller MM for great service as usual A1++",
"from_user": "r***7",
"from_user_score": 438,
"role": "buyer",
"item_id": "301779962726",
"item_title": "Boys Don't Cry DVD (2002) Hilary Swank, Peirce (DIR) cert 18 Fast and FREE P & P",
"item_url": "https://www.ebay.com/itm/301779962726",
"price": 2.39,
"currency": "GBP",
"is_verified_purchase": true,
"period": "Past 6 months"
},
{
"id": "2973161015019",
"rating": "positive",
"text": "Firstly a great service and saving the planet . Item arrived quickly,well packaged, quick dispatch and delivery, great prices, on playing disc 2 skipped and wouldn’t play 1 track , the other discs were like new, I sent an email and pictures showing the damage and recieved a reply soon after stating they are sending another one out, no problems . They have a fantastic customer service , I have bro",
"from_user": "a***p",
"from_user_score": 3194,
"role": "buyer",
"item_id": "301779689600",
"item_title": "Various : Wow That Was the 60s CD Value Guaranteed from eBay’s biggest seller!",
"item_url": "https://www.ebay.com/itm/301779689600",
"price": 3.81,
"currency": "GBP",
"is_verified_purchase": true,
"period": "Past month"
}
],
"proxy_traffic_bytes": 26735
},
"total_points": 2
}E-commerce & Marketplaces
Run eBay Seller Feedback
Returns feedback received by an eBay seller: rating, reviewer, and related item. List endpoint: 1 point per returned record.
POST
/
functions
/
v1
/
run-ebay-seller-feedback
Run eBay Seller Feedback
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.